petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSqr

Returns the square of a number

### Synopsis

    #include <petscmath.h>
    type sqr PetscSqr(type v1)

Not Collective

### Input Parameter

v1 -the value

Notes: type can be integer or floating point value

### See Also

PetscMax(), PetscMin(), PetscAbsInt(), PetscAbsReal()

Level:beginner
Location:include/petscmath.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex6.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/snes/examples/tutorials/ex5.c.html
src/snes/examples/tutorials/ex15.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex48.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex14.c.html